This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 53273 - Can't set CGLContext.CurrentContext = null
Summary: Can't set CGLContext.CurrentContext = null
Status: RESOLVED FIXED
Alias: None
Product: Xamarin.Mac
Classification: Desktop
Component: Library (Xamarin.Mac.dll) (show other bugs)
Version: 3.0.0 (C9)
Hardware: PC Mac OS
: --- major
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-03-13 03:21 UTC by Frank A. Krueger
Modified: 2017-03-16 19:42 UTC (History)
3 users (show)

See Also:
Tags:
Is this bug a regression?: Yes
Last known good build: iOS 9.3


Attachments

Description Frank A. Krueger 2017-03-13 03:21:51 UTC
When you try to clear the current context with:

    CGLContext.CurrentContext = null;

the binding throws NullReferenceException. It should pass along the null so that references to the current context are released.

Apple Developer Tools
Xcode 8.2.1 (11766.1)
Build 8C1002

Xamarin.Mac
Version: 3.0.0.393 (Xamarin Studio Community)

Xamarin.iOS
Version: 10.4.0.123 (Xamarin Studio Community)
Hash: 35d1ccd
Branch: cycle9
Build date: 2017-02-16 17:40:00-0500

Build Information
Release ID: 602001821
Git revision: d41b6e51f3fa46a1943f2e31a778d28a7c73d069
Build date: 2017-02-17 15:18:19-05
Xamarin addins: 1363a8d943bab7700c93a97474060b6734aa7f94
Build lane: monodevelop-lion-cycle9

Operating System
Mac OS X 10.12.3
Darwin muon.local 16.4.0 Darwin Kernel Version 16.4.0
    Thu Dec 22 22:53:21 PST 2016
    root:xnu-3789.41.3~3/RELEASE_X86_64 x86_64
Comment 1 Timothy Risi 2017-03-14 08:32:31 UTC
Submitted PR to fix: https://github.com/xamarin/xamarin-macios/pull/1870
Comment 2 Timothy Risi 2017-03-16 19:42:32 UTC
Merged in master

Note You need to log in before you can comment on or make changes to this bug.